/*
 * kxtodvd.h
 *
 * Copyright (C) 2010 Drake Justice <djustice.kde@gmail.com>
 *
 * GPL n such
 *
 */

#ifndef KXTODVD_H
#define KXTODVD_H


#include <kxmlguiwindow.h>

#include "ui_prefs_base.h"

class KxToDvdView;
class QPrinter;
class KToggleAction;
class KUrl;


class KxToDvd : public KXmlGuiWindow
{
    Q_OBJECT
public:
    KxToDvd();
    virtual ~KxToDvd();

private slots:
    void optionsPreferences();

private:
    void setupActions();

private:
    Ui::prefs_base ui_prefs_base ;
    KxToDvdView *m_view;
};

#endif // _KXTODVD_H_
